DELETE
https://api.cryptohopper.com/v1/hopper/{id}/reserved/release
Removes the given reserved positions, so the funds are no longer reserved, and recalculates the hopper's reserved balances. No order is placed.
reserved_id is an array of reserved position IDs (a single ID is also accepted). If the hopper is not found or has no config, the call returns data "No config found for hopper." instead of an error. Not available for exchange arbitrage, market maker, copy and grid bots.
Example request
curl -X DELETE "https://api.cryptohopper.com/v1/hopper/HOPPER_ID/reserved/release" \
-H "access-token: YOUR_ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{"reserved_id":[55501]}'
const response = await fetch('https://api.cryptohopper.com/v1/hopper/HOPPER_ID/reserved/release', {
method: 'DELETE',
headers: {
"access-token": "YOUR_ACCESS_TOKEN",
"Content-Type": "application/json"
},
body: JSON.stringify({
"reserved_id": [
55501
]
})
});
const data = await response.json();
import requests
response = requests.delete(
"https://api.cryptohopper.com/v1/hopper/HOPPER_ID/reserved/release",
headers={
"access-token": "YOUR_ACCESS_TOKEN"
},
json={
"reserved_id": [
55501
]
},
)
data = response.json()
$ch = curl_init('https://api.cryptohopper.com/v1/hopper/HOPPER_ID/reserved/release');
curl_setopt_array($ch, [
CURLOPT_CUSTOMREQUEST => 'DELETE',
CURLOPT_RETURNTRANSFER => true,
CURLOPT_HTTPHEADER => [
'access-token: YOUR_ACCESS_TOKEN',
'Content-Type: application/json',
],
CURLOPT_POSTFIELDS => json_encode([
'reserved_id' => [
55501,
],
]),
]);
$data = json_decode(curl_exec($ch), true);
Parameters
Headers
| Name | Type | Required | Description |
|---|---|---|---|
access-token |
string | Required | The OAuth access token of the user. |
Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
id |
string | Required | Hopper ID. |
Response
{
"data": "Positions released."
}